Release notes (AEN 4.2.1)
=========================

.. raw:: html

    <div class="section" id="v4-2-1-december-18-2017">
    <h2>v4.2.1 December 18, 2017<a class="headerlink" href="#v4-2-1-december-18-2017" title="Permalink to this headline">¶</a></h2>
    <p>Administrator-facing changes:</p>
    <ul class="simple">
    <li>None</li>
    </ul>
    <p>User-facing changes:</p>
    <ul class="simple">
    <li>None</li>
    </ul>
    <p>Internal fixes:</p>
    <ul class="simple">
    <li>Fix undetected &#8220;ca&#8221; key when using self-signed certificates signed by a private CA</li>
    <li>Fix login redirects when using SSL</li>
    <li>Add verify gateway SSL certificate for get and post requests</li>
    </ul>
    </div>
    <div class="section" id="v4-2-0-november-22-2017">
    <h2>v4.2.0 November 22, 2017<a class="headerlink" href="#v4-2-0-november-22-2017" title="Permalink to this headline">¶</a></h2>
    <p>Administrator-facing changes:</p>
    <ul class="simple">
    <li>Feature/allow remote MongoDB</li>
    <li>Allow for configuration for login timeout and set default</li>
    <li>Add verbose option to conda create clone</li>
    <li>Avoid duplicate name for resources / compute-nodes</li>
    <li>Allow renaming main and message queue databases</li>
    <li>PAM-based authentication module</li>
    <li>Change wakari logos to Anaconda logos</li>
    <li>Replace &#8216;wakari&#8217; wording</li>
    <li>New config option to move the user&#8217;s home directory into the user&#8217;s project directory</li>
    <li>Make logging less verbose in AEN</li>
    <li>Documentation for PySpark kernel installation</li>
    <li>Improve SSL documentation</li>
    </ul>
    <p>User-facing changes:</p>
    <ul class="simple">
    <li>New config option to move the user&#8217;s home directory into the user&#8217;s project directory</li>
    <li>Package cache was moved from user&#8217;s home directory into the user&#8217;s project directory</li>
    <li>Change wakari logos to Anaconda logos</li>
    <li>Fix error for deleting tags to work</li>
    <li>Define shell prompt in <code class="docutils literal"><span class="pre">.projectrc</span></code> template</li>
    <li>Replace &#8216;wakari&#8217; wording</li>
    </ul>
    <p>Internal fixes:</p>
    <ul class="simple">
    <li>Move server unix socket from <code class="docutils literal"><span class="pre">/tmp</span></code> to <code class="docutils literal"><span class="pre">/opt/wakari/wakari-server/var/run</span></code></li>
    <li>Make project deletion synchronous for consistency</li>
    <li>Avoid storing <code class="docutils literal"><span class="pre">csrf</span></code> token in the user profile</li>
    <li>Expire gateway session when server logs out</li>
    <li>Allow log rotation in the three components</li>
    <li>Fix permissions on static files</li>
    <li>Change log level to debug in gateway</li>
    <li>Do not log private keys in gateway</li>
    <li>Save request remote address when logging action</li>
    <li>Unify logs formatting and timezone in compute nodes with Winston</li>
    <li>Several fixes and documentation improvements</li>
    </ul>
    </div>
    <div class="section" id="v4-1-3-august-16-2017">
    <h2>v4.1.3 August 16, 2017<a class="headerlink" href="#v4-1-3-august-16-2017" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>Upgrade conda to version 4.3.24</li>
    <li>Upgrade anaconda to version 4.4.0</li>
    <li>Admin application monitor</li>
    <li>Block access to package list view</li>
    <li>Add placeholders in password reset form</li>
    <li>Change static content location</li>
    <li>Fix error when checking for package updates in notebook application</li>
    <li>Replace slashes in project tags</li>
    <li>Fix submit errors in password reset form</li>
    <li>Replace/remove &#8220;wakari&#8221; word from multiple places</li>
    <li>Fix missing commands missing sudo in start-project</li>
    <li>Improve gateway and compute node validators</li>
    <li>Check if bzip2 is installed during server setup process</li>
    <li>Include port number in host header</li>
    <li>Forbid creation of empty tags</li>
    <li>Repair &#8220;Create Account&#8221; link in login page</li>
    <li>Use UTC for server logs</li>
    <li>Mark datacenters as trusted by default</li>
    <li>Disable heart beating</li>
    <li>Compute resource: Show full path to log file</li>
    <li>Improve init scripts</li>
    <li>Allow deleting all projects</li>
    <li>mtq: Implement exponential backoff on connection error to mongodb</li>
    <li>In the general admin display, do not show the bind password for LDAP</li>
    <li>The accelerate package has been removed from the installation</li>
    <li>Other minor bugfixes</li>
    </ul>
    </div>
    <div class="section" id="v4-1-2-march-29-2017">
    <h2>v4.1.2 March 29, 2017<a class="headerlink" href="#v4-1-2-march-29-2017" title="Permalink to this headline">¶</a></h2>
    <p>This is mainly a maintenance release improving internal machinery and upgrading
    the root packages.</p>
    <ul class="simple">
    <li>Upgrade conda to version 4.3.14</li>
    <li>Upgrade Anaconda to 4.3.1</li>
    <li>Uprade r-base to 3.2.2</li>
    <li>Fixed AEN nb_conda to be compatible with conda 4.3.x series</li>
    <li>Several documentation fixes</li>
    <li>Other minor bugfixes</li>
    </ul>
    </div>
    <div class="section" id="v4-1-1-december-15-2016">
    <h2>v4.1.1 December 15, 2016<a class="headerlink" href="#v4-1-1-december-15-2016" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>Added CentOS 7 support</li>
    <li>Support dots in usernames</li>
    <li>More usernames validation</li>
    <li>Fixed creation (through nb_conda) of single letter environment names</li>
    <li>Environment names (through nb_conda) validation</li>
    <li>Fixed uploading of notebook using nb_anacondacloud</li>
    <li>Fixed attaching of environments in published notebooks through nb_anacondacloud</li>
    <li>Several documentation fixes</li>
    <li>Other bugfixes</li>
    </ul>
    </div>
    <div class="section" id="v4-1-0-october-21-2016">
    <h2>v4.1.0 October 21, 2016<a class="headerlink" href="#v4-1-0-october-21-2016" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>Added JupyterLab application</li>
    <li>Removed GateOne terminal application</li>
    <li>Included additional notebook extensions (<code class="docutils literal"><span class="pre">nbpresent</span></code> and <code class="docutils literal"><span class="pre">nb_anaconda_theme</span></code>)</li>
    <li>Updated to conda 4.2.9 in default project environments</li>
    <li>Added HTTP timeout setting for gateway and compute launcher</li>
    <li>Changed default gateway port to 8089</li>
    <li>Added support for all-numeric usernames</li>
    <li>Add R channel to default conda configuration file</li>
    <li>Other bugfixes</li>
    </ul>
    </div>
    <div class="section" id="v4-0-0-june-30-2016">
    <h2>v4.0.0 June 30, 2016<a class="headerlink" href="#v4-0-0-june-30-2016" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>Customized installation with:<ul>
    <li>AEN Functional ID and Group</li>
    <li>AEN (installation and run) <code class="docutils literal"><span class="pre">sudo</span></code> commands</li>
    <li>Removal of root access from the AEN service account</li>
    <li>Configurable sudo command</li>
    <li>Restriction of sudo access to all the processes</li>
    </ul>
    </li>
    <li>Upgrade Jupyter to 4.2</li>
    <li>Upgrade the anaconda-nb-extensions to the latest versions</li>
    <li>Upgrade Anaconda to 4.0</li>
    <li>Deprecate wakari-publisher</li>
    <li>Security enhancements</li>
    <li>SSL configuration documented between all AEN Server components</li>
    <li>Several bugfixes</li>
    <li>Overall documentation revision and general improvement</li>
    </ul>
    </div>
    <div class="section" id="v0-10-0-february-2-2016">
    <h2>v0.10.0 February 2, 2016<a class="headerlink" href="#v0-10-0-february-2-2016" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>New projects dashboard</li>
    <li>Capability to star and tag a project</li>
    <li>Sticky searches</li>
    <li>New Jupyter Notebook extensions</li>
    <li>Updates to all packages. Highlights: bokeh 0.11, ipython/jupyter 4.1.</li>
    </ul>
    </div>
    <div class="section" id="v0-9-1-october-19-2015">
    <h2>v0.9.1 October 19, 2015<a class="headerlink" href="#v0-9-1-october-19-2015" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>New Search capability to find projects and files within a project.</li>
    <li>Added &#8220;Related Projects&#8221; list to the project view, based on code
    similarity.</li>
    <li>New UI for fine-grained access control of project files in the
    Workbench app</li>
    <li>Viewer app now renders plain text files correctly</li>
    <li>Updated LDAP configuration docs</li>
    <li>Updates to all packages. Highlights: bokeh 0.10, ipython/jupyter 4.0.</li>
    </ul>
    <p><strong>Note</strong> ElasticSearch, and an Oracle JRE, must be installed on the
    server in order to use the new search features. Indexing of project
    files will begin when the project is started (or paused and re-started).
    If search features are not desired, set <code class="docutils literal"><span class="pre">&quot;SEARCH_ENABLED&quot;:</span> <span class="pre">false</span></code> in
    the server configuration file to avoid errors.</p>
    </div>
    <div class="section" id="v0-8-0-august-21-2015">
    <h2>v0.8.0 August 21, 2015<a class="headerlink" href="#v0-8-0-august-21-2015" title="Permalink to this headline">¶</a></h2>
    <div class="section" id="new-features">
    <h3>New Features<a class="headerlink" href="#new-features" title="Permalink to this headline">¶</a></h3>
    <ul class="simple">
    <li>Updated packages based on Anaconda 2.3, and removed older packages no
    longer in Anaconda.</li>
    <li>Updated IPython to version 3.2.1</li>
    <li>Documentation is now installed with the server (use the Help link in
    the top navigation bar)</li>
    <li>Added the ability for the administrator to define a customized
    default project environment.</li>
    <li>The server has been updated to use python 2.7.10.</li>
    <li>Init scripts are now provided for each Anaconda Enterprise Notebooks
    service.</li>
    <li>Added relevant links to some error pages</li>
    </ul>
    </div>
    <div class="section" id="problems-resolved-in-this-release">
    <h3>Problems Resolved in this Release<a class="headerlink" href="#problems-resolved-in-this-release" title="Permalink to this headline">¶</a></h3>
    <ul class="simple">
    <li>Project status indicators (e.g. starting, pausing) now automatically
    update.</li>
    <li>If an access is unauthorized, the server now returns a 403
    (Unauthorized) status code and prompts the user to log in.</li>
    <li>Modified nginx configuration to support running the server on
    non-standard ports.</li>
    <li>The server installation no longer uses a default password for the
    wakari user. A random password is generated and displayed during
    installation.</li>
    <li>Prevent double-click from attempting to create a project twice</li>
    <li>Removed an obsolete script reference that was causes a 404 error to
    be logged in the browser console when opening the Terminal app.</li>
    <li>The installer scripts no longer fail if the database already contains
    the &#8216;wakari&#8217; user.</li>
    <li>Updated example notebooks to work with latest Bokeh release.</li>
    <li>Fixed terminal app key bindings to allow Mac command key to work
    normally</li>
    <li>Installers now indicate where the installation logs are stored</li>
    <li>LDAP user attributes containing binary data are now ignored.</li>
    </ul>
    </div>
    <div class="section" id="documentation-updates">
    <h3>Documentation Updates<a class="headerlink" href="#documentation-updates" title="Permalink to this headline">¶</a></h3>
    <ul class="simple">
    <li>Updated and consolidated Troubleshooting guide.</li>
    <li>Simplified some steps in the installation procedure.</li>
    <li>Updated notebooks in the Examples directory for use with the latest
    IPython Notebook and Bokeh.</li>
    <li>Added a section on project permissions to the Troubleshooting guide.</li>
    <li>Added notes on how to remove a project if the datacenter has already
    been removed.</li>
    </ul>
    </div>
    </div>
    <div class="section" id="v0-7-0-june-12-2015">
    <h2>v0.7.0 June 12, 2015<a class="headerlink" href="#v0-7-0-june-12-2015" title="Permalink to this headline">¶</a></h2>
    <div class="section" id="id1">
    <h3>New Features<a class="headerlink" href="#id1" title="Permalink to this headline">¶</a></h3>
    <ul class="simple">
    <li>Updated Bokeh to v0.9</li>
    <li>Ability to list packages installed on the server</li>
    <li>Administrators now have full access to all projects.</li>
    <li>Added automated checking and display of connection status between
    server, data centers, and compute resources.</li>
    <li>When creating a new project, an environment for the project is
    automatically created as a clone of the root Anaconda environment.</li>
    </ul>
    </div>
    <div class="section" id="id2">
    <h3>Problems Resolved in this Release<a class="headerlink" href="#id2" title="Permalink to this headline">¶</a></h3>
    <ul class="simple">
    <li>Problem with checking in files with revision control extension</li>
    <li>Revision control extension can&#8217;t handle notebook names with spaces</li>
    <li>Problem moving files form one compute node to another if configured
    for LDAP</li>
    <li>Should default to UTF-8 encoding and warn user if no locale is
    detected</li>
    <li>Adding a compute resource via the command line admin tool does not
    work</li>
    <li>The installer now sets <code class="docutils literal"><span class="pre">umask</span> <span class="pre">0022</span></code> to ensure correct file
    permissions</li>
    </ul>
    </div>
    <div class="section" id="id3">
    <h3>Documentation Updates<a class="headerlink" href="#id3" title="Permalink to this headline">¶</a></h3>
    <ul class="simple">
    <li>Added a <a class="reference internal" href="admin-guide/troubleshooting.html"><span class="doc">Troubleshooting</span></a> section
    to the documentation.</li>
    <li>Added notes on how to configure crontab to start the Anaconda
    Enterprise Notebooks services at startup</li>
    <li>Example SSL config file now has correct log paths</li>
    <li>Added instructions on how to ensure that POSIX ACL support is enabled
    on the projects directory.</li>
    <li>Fixed syntax problem in sample LDAP config.json</li>
    <li>Added section on how to use self-signed or private CA certificates</li>
    </ul>
    </div>
    </div>
    <div class="section" id="v0-6-3-march-27-2015">
    <h2>v0.6.3 March 27, 2015<a class="headerlink" href="#v0-6-3-march-27-2015" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>Updated LDAP module</li>
    <li>LDAP user filtering</li>
    <li>Added Notebook locking</li>
    <li>Added Notebook integrated revision control system</li>
    <li>Move projects between compute nodes</li>
    <li>User-specific binding to compute nodes (private compute nodes)</li>
    <li>Improved installation process and dependency checking</li>
    <li>Incorporated support for SSL for Server and Gateway nodes</li>
    <li>Improved Gateway error handling</li>
    <li>Fixed package dependencies for update process</li>
    <li>Documentation updates</li>
    </ul>
    </div>
